%define momorel 1

%define realname opengfx

Name:           openttd-opengfx
Version:        0.2.4
Release:        %{momorel}m%{?dist}
Summary:        OpenGFX replacement graphics for OpenTTD

Group:          Amusements/Games
License:        GPLv2
URL:            http://dev.openttdcoop.org/projects/opengfx
Source0:        http://bundles.openttdcoop.org/opengfx/releases/%{realname}-%{version}-source.tar.gz
#NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  grfcodec dos2unix sed nforenum
Requires:       openttd


%description
The ultimate aim of this project is to have a full replacement set of graphics,
so that OpenTTD can be distributed freely without the need of the copyrighted
graphics from the original game.

%prep
%setup -q -n %{realname}-%{version}-source 
dos2unix docs/authoroverview.csv docs/changelog.ptxt docs/license.ptxt \
    docs/readme.ptxt 

%build
make NFORENUM=nforenum

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/games/openttd/data
make install INSTALLDIR=%{buildroot}%{_datadir}/games/openttd/data

# OpenGFX doesn't have a sound file yet so this is required
# otherwise OpenTTD refuses to start
touch %{buildroot}%{_datadir}/games/openttd/data/sample.cat


%check
#cd %%{buildroot}%%{_datadir}/openttd/data


%clean
rm -rf --preserve-root %{buildroot}


%files
%defattr(-,root,root)
%doc docs/*.txt
%{_datadir}/games/openttd/data/%{realname}-%{version}.tar
%{_datadir}/games/openttd/data/sample.cat

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.4-2m)
- full rebuild for mo7 release

* Tue Aug  3 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.4-1m)
- update to 0.2.4

* Sun Feb 21 2010 Hajime Yoshimori <lugia@momonga-linux.org>
- (0.2.1-2m)
- No NoSource: 0

* Sun Feb 21 2010 Hajime Yoshimori <lugia@momonga-linux.org>
- (0.2.1-1m)
- Import from Fedora
- update to 0.2.1

* Sun Aug 23 2009 Felix Kaechele <heffer@fedoraproject.org> - 0.1.0-0.1.alpha6

- new upstream release

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.alpha4.2

- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu May 28 2009 Felix Kaechele <heffer@fedoraproject.org> - 0-0.4.alpha4.2

- added md5 check

* Tue Apr 14 2009 Felix Kaechele <heffer@fedoraproject.org> - 0-0.3.alpha4.2

- now compiles from source

* Sun Mar 29 2009 Felix Kaechele <heffer@fedoraproject.org> - 0-0.2.alpha4.2

- improved macro usage
- touch sample.cat

* Sat Mar 21 2009 Felix Kaechele <heffer@fedoraproject.org> - 0-0.1.alpha4.2

- initial build
